Subject: NAQEL-Road::70829002 || SO#200275851 || MCI Compliant
From: Amani Bani Odeh <[email-masked]>
To: DXB CS <[email-masked]>, premiumaccount <[email-masked]>
Cc: customer care <[email-masked]>, KSA Lastmile <[email-masked]>
Date: Fri, 12 Jun 2020 19:54:53 +0300
List-Id: <ccteam.mumzworld.com>

Dears,

The shipment partially delivered Please confirm the delivery in 48 working
hours.

Thanks,
Amani